#!/bin/bash

BASH_COMPLETION="/usr/share/bash-completion/completions"

files=(
    "$HOME/.bashrc"
    "$HOME/.profile"
    "$BASH_COMPLETION/pass"
    "$BASH_COMPLETION/pass-otp"
    "$BASH_COMPLETION/git"
)

for file in "${files[@]}"; do
    if [ -e "$file" ]; then
        source "$file"
    fi
done

unset -v BASH_COMPLETION files
